#
# spec file for package imageburner
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           imageburner
Version:        0.1.15
Release:        bp153.1.17
Summary:        Image burner
License:        GPL-3.0+
Group:          Hardware/Other
URL:            https://github.com/artemanufrij/imageburner
Source:         https://github.com/artemanufrij/imageburner/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  elementary-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
Recommends:     %{name}-lang

%description
An image burner, written especially for Elementary OS.

%lang_package

%prep
%setup -q

mv debian/copyright COPYING

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF

make %{?_smp_mflags}

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/{metainfo,appdata}/com.github.artemanufrij.imageburner.appdata.xml
mv %{buildroot}%{_datadir}/icons/hicolor/{,scalable/apps/}com.github.artemanufrij.imageburner.svg

%suse_update_desktop_file -r com.github.artemanufrij.imageburner GTK System Utility Archiving
%find_lang com.github.artemanufrij.imageburner %{name}.lang
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%doc COPYING README.md
%{_bindir}/com.github.artemanufrij.imageburner
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.artemanufrij.imageburner.appdata.xml
%{_datadir}/applications/com.github.artemanufrij.imageburner.desktop
%dir %{_datadir}/contractor
%{_datadir}/contractor/com.github.artemanufrij.imageburner.contract
%{_datadir}/icons/hicolor/*/apps/*imageburner*.??g

%files lang -f %{name}.lang

%changelog
* Sat Apr  7 2018 avvissu@yandex.by
- Update to 0.1.15:
  * appdata and new pot content
  * fixed wording while writing an iso. fix #41
  * code style
  * fix micro sd behaviour
* Mon Mar 26 2018 avvissu@yandex.by
- Update to 0.1.14:
  * Add pl.po
  * simplified UI an dd
  * default-decoration
  * Update README.md
  * appdata (homepage)
* Fri Mar  2 2018 avvissu@yandex.by
- Update to 0.1.12:
  * fix #34
  * Merge pull request #31 from DanyGee/patch-1
  * Merge pull request #32 from DanyGee/patch-2
  * Merge pull request #29 from welaq/patch-2
  * Update lt.po
  * Merge pull request #28 from wsxy162/master
* Fri Feb  9 2018 avvissu@yandex.by
- Update to 0.1.10:
  * Update README.md
  * Merge branch 'master' of github.com:artemanufrij/imageburner
  * appdata.xml
  * Merge pull request #27 from opnay/master
  * Merge pull request #26 from waldyrious/patch-1
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 0.1.9:
  * show spinner
* Sun Dec 24 2017 avvissu@yandex.by
- Update to 0.1.8:
  * added waiting spinner for hash calculation
  * make new pot file
  * renamed icon
  * calculate checksum
  * Add files via upload
  * Update README.md
* Tue Dec 19 2017 jengelh@inai.de
- Ensure neutrality of description.
* Wed Nov  8 2017 avvissu@yandex.by
- Initial package
